package daruma.sql;

import daruma.sql.DatabaseConnectionFactory;
import daruma.sql.PostgreSQLDatabaseConnection;

public class PostgreSQLDatabaseConnectionFactory extends DatabaseConnectionFactory
{
	public	PostgreSQLDatabaseConnectionFactory()
					 throws DatabaseConnectionException
	{
		super.loadClass();
	}

	@Override
	public	String	getDriverClass()
	{
		return( "org.postgresql.Driver" );
	}


	@Override
	public	DatabaseConnection	create()
	{
		return( new PostgreSQLDatabaseConnection() );
	}
}
